Subject: Re: bug#30432: 26.0.91; freeze when text wrap-prefix exceeds window text width

From: Eli Zaretskii <[email-masked]>
Date: Fri, 30 Mar 2018 15:59:51 +0300

> From: "Paul W. Rankin" <[email-masked]>
> Date: Thu, 29 Mar 2018 15:00:07 +1000
> Cc: [email-masked]
> 
> Thanks Eli. I built from master branch and this appears mostly fixed to me, although I'm still getting a similar temporary freeze when moving point backwards onto a problematic line, e.g.
> 
> 1. Emacs -Q
> 2. In scratch buffer, M-x fundamental-mode (just to be sure)
> 3. M-^ on the second line (to join a line of 80+ chars)
> 4. M-: (put-text-property (region-beginning) (region-end) 'wrap-prefix '(space :align-to 81))
> 5. C-n until point is past text line
> 6. C-p
> 
> Here I get a temporary freeze.

Right, a similar fix needed to be applied elsewhere.

Should be fixed now.